Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class RecordFactory

    java.lang.Object
      org.apache.poi.hssf.record.RecordFactory

    public final class RecordFactory

extends java.lang.Object

Title: Record Factory

Description: Takes a stream and outputs an array of Record objects.

Author:
  Andrew C. Oliver (acoliver at apache dot org), Marc Johnson (mjohnson at apache dot org), Glen Stampoultzis (glens at apache.org), Csaba Nagy (ncsaba at yahoo dot com)
See Also:
  `EventRecordFactory`

Constructor Summary
`RecordFactory()`

Method Summary
`static BlankRecord[]` | `convertBlankRecords(MulBlankRecord mbk)` Converts a `MulBlankRecord` into an equivalent array of `BlankRecord`s
`static NumberRecord[]` | `convertRKRecords(MulRKRecord mrk)` Converts a `MulRKRecord` into an equivalent array of `NumberRecord`s
`static NumberRecord` | `convertToNumberRecord(RKRecord rk)` RK record is a slightly smaller alternative to NumberRecord POI likes NumberRecord better
`static Record[]` | `createRecord(RecordInputStream in)` create a record, if there are MUL records than multiple records are returned digested into the non-mul form.
`static java.util.List` | `createRecords(java.io.InputStream in)` Create an array of records from an input stream
`static Record` | `createSingleRecord(RecordInputStream in)`
`static short[]` | `getAllKnownRecordSIDs()`
`static java.lang.Class` | `getRecordClass(int sid)` Debug / diagnosis method Gets the POI implementation class for a given `sid`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordFactory

    public RecordFactory()

Method Detail

### getRecordClass

    public static java.lang.Class getRecordClass(int sid)

  Debug / diagnosis method
  Gets the POI implementation class for a given `sid`. Only a subset of the any BIFF records are actually interpreted by POI. A few others are known but not interpreted (see `UnknownRecord.getBiffName(int)`).

  Returns:
    the POI implementation class for the specified record `sid`. `null` if the specified record is not interpreted by POI.

### createRecord

    public static Record[] createRecord(RecordInputStream in)

  create a record, if there are MUL records than multiple records are returned digested into the non-mul form.

### createSingleRecord

    public static Record createSingleRecord(RecordInputStream in)

### convertToNumberRecord

    public static NumberRecord convertToNumberRecord(RKRecord rk)

  RK record is a slightly smaller alternative to NumberRecord POI likes NumberRecord better

### convertRKRecords

    public static NumberRecord[] convertRKRecords(MulRKRecord mrk)

  Converts a `MulRKRecord` into an equivalent array of `NumberRecord`s

### convertBlankRecords

    public static BlankRecord[] convertBlankRecords(MulBlankRecord mbk)

  Converts a `MulBlankRecord` into an equivalent array of `BlankRecord`s

### getAllKnownRecordSIDs

    public static short[] getAllKnownRecordSIDs()

  Returns:
    an array of all the SIDS for all known records

### createRecords

    public static java.util.List createRecords(java.io.InputStream in)
                                        throws RecordFormatException

  Create an array of records from an input stream

  Parameters:
    `in` - the InputStream from which the records will be obtained
  Returns:
    an array of Records created from the InputStream
  Throws:
    `RecordFormatException` - on error processing the InputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD